Bug 1506429 - Review Request: gnome-shell-extension-windowoverlay-icons - Show app icons on top of the windows thumbnails in Activities Overview
Summary: Review Request: gnome-shell-extension-windowoverlay-icons - Show app icons on...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 02:55 UTC by Andrew Toskin
Modified: 2018-02-22 16:47 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-13 17:37:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andrew Toskin 2017-10-26 02:55:05 UTC
Package name: gnome-shell-extension-windowoverlay-icons

Formerly a subpackage of gnome-shell-extension-sustmi

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-windowoverlay-icons/raw/master/gnome-shell-extension-windowoverlay-icons.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-windowoverlay-icons-27-1.fc28.src.rpm

Description: Sometimes when you have many open windows, especially if they all contain a lot of text, the windows all start to look the same in the Activities Overview. WindowOverlay Icons adds the application icon to every window thumbnail, making it easier to tell them apart.

Fedora Account System Username: terrycloth

Comment 1 Troy Curtis 2017-10-27 02:47:34 UTC
Nothing appears to depend on 'gnome-shell-extension-sustmi-windowoverlay-icons' so  I don't believe there is a need for the Provides of the old name.

Comment 2 Andrew Toskin 2017-10-27 03:31:21 UTC
Good point. I've removed the Provides tag. Same URLs for the spec and SRPM.

Comment 3 Robert-André Mauchin 2017-10-28 15:18:02 UTC

 - Please use a more meaningful name for your archive, with:

Source0: https://github.com/sustmi/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Package accepted.

Comment 4 Andrew Toskin 2017-11-01 19:45:14 UTC
> Please use a more meaningful name for your archive...

Done.

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-windowoverlay-icons/raw/master/gnome-shell-extension-windowoverlay-icons.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-windowoverlay-icons-27-2.fc28.src.rpm

I'm not positive about this part of the process, but I've also opened an issue on RelEng's Pagure about splitting the packages.

https://pagure.io/releng/issue/7124

Comment 5 Andrew Toskin 2017-11-29 01:44:34 UTC
Is there anything else I need to do before the newly split package can be accepted...?

Comment 6 Adam Williamson 2017-12-13 04:21:33 UTC
You may wish to add a Provides: for the old package name, perhaps...

Comment 7 Andrew Toskin 2017-12-16 20:22:43 UTC
Hah, Comment #1 was about suggesting I *remove* the Provides tag.

Comment 8 Troy Curtis 2017-12-16 23:53:09 UTC
LOL! It is up to you of course as maintainer but the renaming/splitting guidelines [0] mention you are supposed to remove old provides after 2 releases anyway.  As nothing depends on it currently, my opinion is that a clean break would probably be best :)


0: https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F

Comment 9 Adam Williamson 2017-12-17 07:21:46 UTC
There is still one advantage to doing it - it means if someone knows the old package name and just does 'dnf install (oldpackagename)' it'll work. But that's all. So it's really up to you :)

Comment 11 Gwyn Ciesla 2018-01-30 13:18:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnome-shell-extension-windowoverlay-icons

Comment 12 Fedora Update System 2018-02-05 03:37:39 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f07259844

Comment 13 Fedora Update System 2018-02-05 03:48:17 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce6a4c1ec9

Comment 14 Fedora Update System 2018-02-05 03:48:23 UTC
gnome-shell-extension-windowoverlay-icons-27-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e271543907

Comment 15 Fedora Update System 2018-02-05 16:42:06 UTC
gnome-shell-extension-windowoverlay-icons-27-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e271543907

Comment 16 Fedora Update System 2018-02-05 16:53:22 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce6a4c1ec9

Comment 17 Fedora Update System 2018-02-05 17:08:15 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f07259844

Comment 18 Fedora Update System 2018-02-13 17:37:41 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-02-13 17:52:23 UTC
gnome-shell-extension-windowoverlay-icons-27-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-02-22 16:47:44 UTC
gnome-shell-extension-windowoverlay-icons-27-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.